{
  "name": "oms",
  "version": "1.0.0",
  "main": "dist/app.js",
  "scripts": {
    "start": "node dist/app.js",
    "dev": "nodemon src/app.ts",
    "build": "npx tsc",
    "start:prod": "pm2 start ecosystem.config.js --env production",
    "event-api-service": "nodemon services/event-api-service.ts",
    "log-service": "nodemon services/log-service.ts",
    "ingestor-service": "nodemon services/ingestor-service.ts",
    "ingest-history": "ts-node src/scripts/ingestHistoricalData.ts",
    "cron-jobs": "ts-node services/cron-jobs/index.ts"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "description": "",
  "dependencies": {
    "@clickhouse/client": "^1.12.1",
    "@types/bcryptjs": "^2.4.6",
    "@types/luxon": "^3.7.1",
    "amqplib": "^0.10.8",
    "axios": "^1.11.0",
    "bcryptjs": "^3.0.2",
    "countries-and-timezones": "^3.8.0",
    "date-fns": "^4.1.0",
    "dayjs": "^1.11.13",
    "dotenv": "^17.2.1",
    "express": "^5.1.0",
    "firebase-admin": "^13.5.0",
    "lodash": "^4.17.21",
    "luxon": "^3.7.2",
    "moment": "^2.30.1",
    "mongodb": "^5.0.0",
    "mongoose": "^7.0.0",
    "morgan": "^1.10.1",
    "node-cron": "^4.2.1",
    "pm2": "^6.0.8",
    "punycode": "^2.3.1",
    "redis": "^5.8.1",
    "rotating-file-stream": "^3.2.6",
    "uuid": "^11.1.0"
  },
  "devDependencies": {
    "@types/amqplib": "^0.10.7",
    "@types/countries-and-timezones": "^3.2.2",
    "@types/dotenv": "^6.1.1",
    "@types/express": "^5.0.3",
    "@types/lodash": "^4.17.20",
    "@types/moment": "^2.11.29",
    "@types/mongodb": "^4.0.6",
    "@types/mongoose": "^5.11.96",
    "@types/morgan": "^1.9.10",
    "@types/node": "^24.3.0",
    "@types/node-cron": "^3.0.11",
    "@types/redis": "^4.0.10",
    "@types/uuid": "^10.0.0",
    "ts-node": "^10.9.2",
    "typescript": "^5.9.2"
  }
}
